#ifndef ADDRESSBOOK_GLOBAL_H
#define ADDRESSBOOK_GLOBAL_H

#include <QtCore/qglobal.h>
#include <QxOrm.h>

#if defined(ADDRESSBOOK_LIBRARY)
#  define ADDRESSBOOKSHARED_EXPORT Q_DECL_EXPORT
#else
#  define ADDRESSBOOKSHARED_EXPORT Q_DECL_IMPORT
#endif

#ifdef ADDRESSBOOK_LIBRARY
#define QX_REGISTER_HPP_ADDR     QX_REGISTER_HPP_EXPORT_DLL
#define QX_REGISTER_CPP_ADDR     QX_REGISTER_CPP_EXPORT_DLL
#else // ADDRESSBOOK_LIBRARY
#define QX_REGISTER_HPP_ADDR     QX_REGISTER_HPP_IMPORT_DLL
#define QX_REGISTER_CPP_ADDR     QX_REGISTER_CPP_IMPORT_DLL
#endif

#endif // ADDRESSBOOK_GLOBAL_H
