#ifndef CAMP_DATA_H
#define CAMP_DATA_H

#include <QSharedPointer>

class CampData;
class AddressItem;
class ServiceItem;
class Sale;
class PersonPrice;

typedef QSharedPointer<CampData> CampDataPtr;
typedef QSharedPointer<ServiceItem> ServiceItemPtr;
typedef QSharedPointer<AddressItem> AddressItemPtr;
typedef QSharedPointer<Sale> SalePtr;
typedef QSharedPointer<PersonPrice> PersonPricePtr;

#include "campdata.h"
#include "addressitem.h"
#include "serviceitem.h"
#include "sale.h"
#include "personprice.h"

#endif // CAMP_DATA_H
