#ifndef DETAILWIDGET_H
#define DETAILWIDGET_H

#include <QWidget>
#include <autotablemodel.h>
#include "data/camp-data.h"

namespace Ui {
class DetailWidget;
}

class DetailWidget : public QWidget
{
    Q_OBJECT

public:
    explicit DetailWidget(QWidget *parent = nullptr);
    ~DetailWidget() override;

    void setData(CampDataPtr &data);

private:
    Ui::DetailWidget *ui;
    AutoTableModel<AddressItem> *m_peopleModel;
    AutoTableModel<ServiceItem> *m_servicesModel;
};

#endif // DETAILWIDGET_H
