#include "commodity.h"
#include "data/commodity-data.h"
#include "commodityform.h"
#include "commoditygrid.h"
#include "commoditysettingsform.h"
#include "commodityservice.h"

void Commodity::initServiceUi()
{
    m_service = new CommodityService();
    m_ui = new CommodityGrid();
    ((CommodityGrid *) m_ui)->setForm(new CommodityForm());
    m_settingsUi = new CommoditySettingsForm();
}

QIcon Commodity::pluginIcon()
{
    return QIcon(":/icons/commodityPlugin.svg");
}

QTranslator *Commodity::translator()
{
    return translatorFrom(":/translations/commodity_");
}
