#ifndef COMMODITYFORM_H
#define COMMODITYFORM_H

#include <QWidget>
#include <autoform.h>
#include "data/commoditydata.h"

namespace Ui {
class CommodityForm;
}

class CommodityForm : public AutoForm<CommodityData>
{
    Q_OBJECT

public:
    explicit CommodityForm(QWidget *parent = nullptr);
    ~CommodityForm() override;

private:
    Ui::CommodityForm *ui;

    bool m_codeAsNumber;

    // FormBinder interface
protected:
    void registerCombos() override;
    void onShow() override;
private slots:
    void on_code_textChanged(const QString &text);
};

#endif // COMMODITYFORM_H
