#include "system.h"
#include <QxOrm_Impl.h>

QX_REGISTER_CPP_CORE(System)

namespace qx {
    template <> void register_class(QxClass<System> & t)
    {
        t.setName("system");
        t.id(& System::m_id, "id");
        t.data(& System::m_pluginId, "pluginId");
        t.data(& System::m_schemaVersion, "schemaVersion");
        t.data(& System::m_settings, "settings");
    }}

System::System()
{

}

System::~System()
{

}

long System::id() const
{
    return m_id;
}

void System::setId(long id)
{
    m_id = id;
}

QString System::pluginId() const
{
    return m_pluginId;
}

QString System::settings() const
{
    return m_settings;
}

void System::setSettings(const QString &settings)
{
    m_settings = settings;
}
