#include "seasonservice.h"

QSharedPointer<Season> SeasonService::active()
{
    QList<QSharedPointer<Season> > seasons = all("active = 1");
    if (seasons.count() > 0)
    {
        return seasons[0];
    }

    return {};
}

void SeasonService::activate(const QSharedPointer<Season>& season)
{
    qx::QxSession session;

    foreach (QSharedPointer<Season> ses, all()) {
        ses->setActive(false);
        update(ses, &session);
    }

    season->setActive(true);
    update(season, &session);
}
