#ifndef SEASONSERVICE_H
#define SEASONSERVICE_H

#include <QSharedPointer>

#include "data/season.h"
#include "service.h"
#include "core_global.h"

class CORESHARED_EXPORT SeasonService : public Service<Season>
{
public:
    SeasonService() = default;
    QSharedPointer<Season> active();
    void activate(const QSharedPointer<Season>& season);
};

#endif // SEASONSERVICE_H
