#ifndef POSTREGISTERGRID_H
#define POSTREGISTERGRID_H

#include <core.h>
#include "data/postdata.h"

class PostRegisterGrid : public GridForm<PostData>
{
public:
    PostRegisterGrid(QWidget *parent = nullptr);

    // IGridForm interface
protected:
    bool canAddRecord() override;
    bool canEditRecord() override;
    bool canDeleteRecord() override;
};

#endif // POSTREGISTERGRID_H
