#ifndef SERVICES_GLOBAL_H
#define SERVICES_GLOBAL_H

#include <QtCore/qglobal.h>

#if defined(SERVICES_LIBRARY)
#  define SERVICESSHARED_EXPORT Q_DECL_EXPORT
#else
#  define SERVICESSHARED_EXPORT Q_DECL_IMPORT
#endif

#ifdef SERVICES_LIBRARY
#define QX_REGISTER_HPP_SERVICE     QX_REGISTER_HPP_EXPORT_DLL
#define QX_REGISTER_CPP_SERVICE     QX_REGISTER_CPP_EXPORT_DLL
#else // SERVICES_LIBRARY
#define QX_REGISTER_HPP_SERVICE     QX_REGISTER_HPP_IMPORT_DLL
#define QX_REGISTER_CPP_SERVICE     QX_REGISTER_CPP_IMPORT_DLL
#endif

#endif // SERVICES_GLOBAL_H
