#ifndef TEMPORARYRECEIPTSAVEFORM_H
#define TEMPORARYRECEIPTSAVEFORM_H

#include <QDialog>
#include <QSharedPointer>
#include <objectbinder.h>

#include "data/voucher.h"

namespace Ui {
class TemporaryReceiptSaveForm;
}

class TemporaryReceiptSaveForm : public QDialog
{
    Q_OBJECT

public:
    explicit TemporaryReceiptSaveForm(QSharedPointer<Voucher> voucher, QWidget *parent = 0);
    ~TemporaryReceiptSaveForm();

private:
    Ui::TemporaryReceiptSaveForm *ui;
    QSharedPointer<Voucher> m_voucher;
    ObjectBinder m_binder;

    // QDialog interface
public slots:
    virtual void accept() override;
};

#endif // TEMPORARYRECEIPTSAVEFORM_H
