#ifndef ADDRESSBOOKSERVICE_H
#define ADDRESSBOOKSERVICE_H

#include <QList>
#include <QSharedPointer>
#include <service.h>

#include "data/addressbookdata.h"
#include "addressbook_global.h"

class ADDRESSBOOKSHARED_EXPORT AddressBookService : public Service<AddressbookData>
{
public:
    AddressBookService();
    ~AddressBookService();

    AddressbookDataPtr copyAddress(AddressbookDataPtr address);
};

#endif // ADDRESSBOOKSERVICE_H
