#ifndef CAMP_H
#define CAMP_H

#include "camp_global.h"
#include <core.h>
#include <QObject>
#include <QtPlugin>

class CAMPSHARED_EXPORT Camp : public QObject, IMetaDataPlugin
{
    Q_OBJECT

    Q_PLUGIN_METADATA(IID PluginInterface_iid FILE "camp.json")
    Q_INTERFACES(IPlugin)

public:
    Camp() = default;

protected:
    void initServiceUi() Q_DECL_OVERRIDE;

    // IPlugin interface
public:
    QIcon pluginIcon() override;
    QTranslator *translator() override;
    bool hasNumberSeries() override;
};

#endif // CAMP_H
