#ifndef COMMODITY_H
#define COMMODITY_H

#include "commodity_global.h"
#include <core.h>
#include <QObject>
#include <QtPlugin>

class COMMODITYSHARED_EXPORT Commodity : public QObject, IMetaDataPlugin
{
    Q_OBJECT

    Q_PLUGIN_METADATA(IID PluginInterface_iid FILE "commodity.json")
    Q_INTERFACES(IPlugin)

public:
    Commodity() = default;

protected:
    void initServiceUi() Q_DECL_OVERRIDE;

    // IPlugin interface
public:
    QIcon pluginIcon() override;
    QTranslator *translator() override;


};

#endif // COMMODITY_H
