#ifndef CORE_GLOBAL_H
#define CORE_GLOBAL_H

#include <QtCore/qglobal.h>
#include <QxOrm.h>

#if defined(CORE_LIBRARY)
#  define CORESHARED_EXPORT Q_DECL_EXPORT
#else
#  define CORESHARED_EXPORT Q_DECL_IMPORT
#endif

#ifdef CORE_LIBRARY
#define QX_REGISTER_HPP_CORE     QX_REGISTER_HPP_EXPORT_DLL
#define QX_REGISTER_CPP_CORE     QX_REGISTER_CPP_EXPORT_DLL
#else // CORE_LIBRARY
#define QX_REGISTER_HPP_CORE     QX_REGISTER_HPP_IMPORT_DLL
#define QX_REGISTER_CPP_CORE     QX_REGISTER_CPP_IMPORT_DLL
#endif

#endif // CORE_GLOBAL_H
