#ifndef ENUMS_H
#define ENUMS_H
#include <QObject>

#include "core_global.h"

class CORESHARED_EXPORT Enums : public QObject
{
    Q_OBJECT

public:

    enum VatType
    {
        NONE,
        HIGH,
        FIRST_LOWER,
        SECOND_LOWER
    };

    enum Rounding
    {
        R_NONE,
        R_UP,
        R_DOWN,
        R_MATH
    };

    Q_ENUM(VatType)
    Q_ENUM(Rounding)

    Enums() = default;

};
#endif // ENUMS_H
