#ifndef SEASONNAMEDIALOG_H
#define SEASONNAMEDIALOG_H

#include <QDialog>

#include "../data/season.h"
#include "../objectbinder.h"

namespace Ui {
class SeasonNameDialog;
}

class SeasonNameDialog : public QDialog
{
    Q_OBJECT

public:
    explicit SeasonNameDialog(const SeasonPtr& season, QWidget *parent = 0);
    ~SeasonNameDialog() override;

private:
    Ui::SeasonNameDialog *ui;
    ObjectBinder m_binder;

    // QDialog interface
public slots:
    void accept() override;
};

#endif // SEASONNAMEDIALOG_H
