#include "postdata.h"

QX_REGISTER_CPP_POST(PostData)

namespace qx {
    template<> void register_class(QxClass<PostData>& t) {
        t.setName("PostData");
        t.id(&PostData::m_id, "id");
        t.data(&PostData::m_town, "town");
        t.data(&PostData::m_townPart, "townPart");
        t.data(&PostData::m_township, "township");
        t.data(&PostData::m_zipCode, "zipCode");
        t.data(&PostData::m_postName, "postName");
        t.data(&PostData::m_code, "code");
    }
}

PostData::PostData(QObject *parent)
    :QObject(parent)
{
}

QString PostData::townPart() const
{
    return m_townPart;
}

void PostData::setTownPart(const QString &townPart)
{
    m_townPart = townPart;
}

long PostData::id() const
{
    return m_id;
}

void PostData::setId(long id)
{
    m_id = id;
}

QString PostData::zipCode() const
{
    return m_zipCode;
}

void PostData::setZipCode(const QString &zipCode)
{
    m_zipCode = zipCode;
}

QString PostData::postName() const
{
    return m_postName;
}

void PostData::setPostName(const QString &postName)
{
    m_postName = postName;
}

QString PostData::code() const
{
    return m_code;
}

void PostData::setCode(const QString &code)
{
    m_code = code;
}

QString PostData::township() const
{
    return m_township;
}

void PostData::setTownship(const QString &township)
{
    m_township = township;
}

QString PostData::town() const
{
    return m_town;
}

void PostData::setTown(const QString &town)
{
    m_town = town;
}
