#include "favorititem.h"
#include <define.h>

QX_REGISTER_CPP_SHOP(FavoritItem)

QX_REGISTER_ALL_QT_PROPERTIES(FavoritItem, "id")

long FavoritItem::id() const
{
    return m_id;
}

void FavoritItem::setId(long id)
{
    m_id = id;
}

QString FavoritItem::name()
{
    return m_name;
}

void FavoritItem::setName(const QString &name)
{
    m_name = name;
}

QString FavoritItem::shortName()
{
    return m_shortName;
}

void FavoritItem::setShortName(const QString &shortName)
{
    m_shortName = shortName;
}

QDecDouble FavoritItem::unitPrice()
{
    return TO_DEC(m_unitPrice);
}

void FavoritItem::setUnitPrice(QDecDouble unitPrice)
{
    m_unitPrice = FROM_DEC(unitPrice);
}

Enums::VatType FavoritItem::vatType()
{
    return m_vatType;
}

void FavoritItem::setVatType(const Enums::VatType &vatType)
{
    m_vatType = vatType;
}

QString FavoritItem::pluginId() const
{
    return m_pluginId;
}

void FavoritItem::setPluginId(const QString &pluginId)
{
    m_pluginId = pluginId;
}

QString FavoritItem::favButtonName() const
{
    return m_favButtonName;
}

void FavoritItem::setFavButtonName(const QString &favButtonName)
{
    m_favButtonName = favButtonName;
}

long FavoritItem::refId() const
{
    return m_refId;
}

void FavoritItem::setRefId(long refId)
{
    m_refId = refId;
}
