#ifndef SHOP_GLOBAL_H
#define SHOP_GLOBAL_H

#include <QtCore/qglobal.h>
#include <QxOrm.h>

#if defined(SHOP_LIBRARY)
#  define SHOPSHARED_EXPORT Q_DECL_EXPORT
#else
#  define SHOPSHARED_EXPORT Q_DECL_IMPORT
#endif

#ifdef SHOP_LIBRARY
#define QX_REGISTER_HPP_SHOP     QX_REGISTER_HPP_EXPORT_DLL
#define QX_REGISTER_CPP_SHOP     QX_REGISTER_CPP_EXPORT_DLL
#else // SHOP_LIBRARY
#define QX_REGISTER_HPP_SHOP     QX_REGISTER_HPP_IMPORT_DLL
#define QX_REGISTER_CPP_SHOP     QX_REGISTER_CPP_IMPORT_DLL
#endif

#endif // SHOP_GLOBAL_H
